{
    description = "Sinara assembly and test instructions";

    inputs.nixpkgs.url = github:NixOS/nixpkgs/nixos-23.05;

    outputs = { self, nixpkgs }:

    let pkgs = import nixpkgs { system = "x86_64-linux"; };

    in {
    packages.x86_64-linux.default =
        # Notice the reference to nixpkgs here.
        with import nixpkgs { system = "x86_64-linux"; };
        stdenv.mkDerivation {
          name = "book";
          src = self;
          buildInputs = with pkgs; [ pkgs.mdbook ];
          buildPhase = "mdbook build";
          installPhase = "mkdir -p $out/book; cp -R book $out/";
        };
    devShell.x86_64-linux = pkgs.mkShell {
            name = "sinara-assembly-dev-shell";
            buildInputs = with pkgs; [pkgs.mdbook];
        };

    };
}
